/*
 *  neercs        console-based window manager
 *  Copyright (c) 2006-2010 Sam Hocevar <sam@hocevar.net>
 *                2008-2010 Jean-Yves Lamoureux <jylam@lnxscene.org>
 *                All Rights Reserved
 *
 *  This program is free software. It comes without any warranty, to
 *  the extent permitted by applicable law. You can redistribute it
 *  and/or modify it under the terms of the Do What The Fuck You Want
 *  To Public License, Version 2, as published by Sam Hocevar. See
 *  http://sam.zoy.org/wtfpl/COPYING for more details.
 */

#ifndef __SCREEN_H__
#define __SCREEN_H__

#include "client/client.h"
#include <caca.h>

typedef struct nrx_screen nrx_screen_t;

nrx_screen_t *create_screen_test(nrx_client_t *client);
void tick_screen(nrx_screen_t *screen);
caca_canvas_t *get_screen_canvas(nrx_screen_t *screen);
void destroy_screen(nrx_screen_t *screen);

#endif /* __SCREEN_H__ */

